﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Mitarbeiterverwaltung
{
   public partial class Form1 : Form
   {
      // Feld für die Mitarbeiterliste, das in allen Methoden 
      // der Klasse verwendet werden kann
      private Mitarbeiter[] personalliste;

      public Form1()
      {
         InitializeComponent();

         // Zuweisung eines Arrays
         personalliste = new Mitarbeiter[4];
      }

      private void btn_Ausgeben_Click(object sender, EventArgs e)
      {
         // Daten der Mitarbeiter anzeigen
         lb_Ausgabe.Text = "";
         for (int i = 0; i < personalliste.Length; i++)
            lb_Ausgabe.Text += personalliste[i].DatenAbfragen() + "\n";
      }

      private void btn_GehaltErhoehen_Click(object sender, EventArgs e)
      {
         // Gehälter der Mitarbeiter erhöhen
         foreach (Mitarbeiter mb in personalliste)
         {
            mb.GehaltErhoehen(250);
         }

         btn_Ausgeben.PerformClick();
      }

      private void Form1_Load(object sender, EventArgs e)
      {
         // Füllen der Personalliste
         personalliste[0] = new Mitarbeiter("Marx", "Groucho", 8000);
         personalliste[1] = new Mitarbeiter("Marx", "Chico", 7000);
         personalliste[2] = new Mitarbeiter("Marx", "Harpo", 7000);
         personalliste[3] = new Mitarbeiter("Marx", "Zeppo", 7000);
      }

   }
}
