﻿using System;

namespace Demo_Polymorphie
{
   class Auto
   {
      protected double geschwindigkeit;

      public Auto()
      {
         geschwindigkeit = 0;
      }

      public virtual void Beschleunigen()
      {
         if (geschwindigkeit < 300)
            geschwindigkeit += 10;
      }

      public string DatenAbfragen()
      {
         return "Geschwindigkeit = " + geschwindigkeit + "km/h";
      }

   }

   class Sportwagen : Auto
   {
      public override void Beschleunigen()
      {
         if (geschwindigkeit < 360)
            geschwindigkeit += 60;
         else
            geschwindigkeit = 360;
      }
   }

   class LKW : Auto
   {
      public override void Beschleunigen()
      {
         if (geschwindigkeit < 140)
            geschwindigkeit += 5;
      }
   }

}
