﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Demo_Polymorphie
{
   public partial class Form1 : Form
   {
      Auto[] autos;

      public Form1()
      {
         InitializeComponent();

         autos = new Auto[3];
         autos[0] = new Auto();
         autos[1] = new Sportwagen();
         autos[2] = new LKW();
      }

      private void btn_Beschleunigen_Click(object sender, EventArgs e)
      {
         tb_Ausgabe.Text = "";

         foreach (Auto auto in autos)
         {
            auto.Beschleunigen();
            tb_Ausgabe.Text += auto.GetType().Name + ": " + 
                                 auto.DatenAbfragen() + "\r\n";
         }
      }
   }
}
