﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Demo_Schnittstellen
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private double zinseszinsBerechnen(double startkapital,
                                         double zins,
                                         double laufzeit)
      {
         double endkapital;

         // Berechnung des Endkapitals
         endkapital = startkapital * Math.Pow((1 + zins / 100), laufzeit);

         return endkapital;
      }

      private void btn_Ausfuehren_Click(object sender, EventArgs e)
      {
         Land[] laender = new Land[4];

         laender[0] = new Land("Deutschland", 357022, 82);
         laender[1] = new Land("Sri Lanka", 65610, 19);
         laender[2] = new Land("Norwegen", 323877, 5);
         laender[3] = new Land("Ecuador", 283561, 12);

         Array.Sort(laender);

         tb_Ausgabe.Clear();
         foreach (Land l in laender)
         {
            tb_Ausgabe.Text += l.ToString() + "\r\n";
         }
      }
   }
}
