using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MeinBildschirmschoner
{
    public partial class Form1 : Form
    {
        private string text;
        private Point p;
        private Timer zeitgeber;

        public Form1()
        {
            InitializeComponent();

            text = "Hallo, ist da jemand?";
            p = new Point(0, 100);
            Cursor.Hide();

            zeitgeber = new Timer();
            zeitgeber.Tick += new EventHandler(Animieren);
            zeitgeber.Interval = 2;
            zeitgeber.Start();
        }

        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            Close();
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            Close();
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            e.Graphics.DrawString(text, 
                                  new Font("Arial", 24), Brushes.Blue, 
                                  p.X, p.Y);
        }

        private void Animieren(Object sender, EventArgs e)
        {
            p.X += 1;
            if (p.X > this.Width)
            {
                Graphics g = this.CreateGraphics();
                SizeF dim = g.MeasureString(text, new Font("Arial", 24));
                p.X = (int) -dim.Width;
                g.Dispose();
            }

            Refresh();
        }
    }
}