using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Linq;

namespace U_Fotoanzeige_mit_Zurueck
{
   public partial class Form1 : Form
   {
      List<String> bilddateien;
      int index;

      public Form1()
      {
         InitializeComponent();
         bilddateien = new List<string>();
         index = 0;
      }


      private void Form1_Load(object sender, EventArgs e)
      {
         // Die Namen der JPG-Dateien im Eigene Bilder-Order einlesen und in 
         // bilddateien speichern
         String bilderOrdner = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures);
         bilddateien = Directory.EnumerateFiles(bilderOrdner, "*.jpg", SearchOption.AllDirectories).ToList();

         // Das erste Bild anzeigen
         if (bilddateien.Count > 0)
         {
            pbBild.Image = new Bitmap(bilddateien[index]);
         }
      }

      private void btnWeiter_Click(object sender, EventArgs e)
      {
         ++index;

         if (index >= bilddateien.Count)
         {
            index = 0;
         }

         if (index < bilddateien.Count)
         {
            pbBild.Image.Dispose();
            pbBild.Image = new Bitmap(bilddateien[index]);
         }

      }

      private void btn_Zurueck_Click(object sender, EventArgs e)
      {
         --index;

         if (index < 0)
         {
            index = bilddateien.Count - 1;
         }

         if (index >= 0 && index < bilddateien.Count)
         {
            pbBild.Image.Dispose();
            pbBild.Image = new Bitmap(bilddateien[index]);
         }

      }
   }
}