﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace U_Mitarbeiterverwaltung
{
   class Lehrling : Mitarbeiter
   {
      bool pruefungBestanden;

      public Lehrling(string name, string vorname,
                        int gehalt)
         : base(name, vorname, gehalt)
      {
         pruefungBestanden = false;
      }

      public void PruefungAblegen()
      {
         pruefungBestanden = true;
      }

      public override string ToString()
      {
         string daten;
         daten = base.ToString();

         if (pruefungBestanden == true)
            daten += ", Prüfung abgelegt.";
         else
            daten += ", Prüfung noch nicht abgelegt.";

         return daten;
      }
   }
}
