﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo_Zinsen4
{
   class Zinsrechnung
   {
      // Berechnung mit Zinseszins
      public static double ZinseszinsBerechnen(double startkapital,
                                               double zins,
                                               double laufzeit)
      {
         return startkapital * Math.Pow((1 + zins / 100), laufzeit);
      }

      // Berechnung ohne Zinseszins
      public static double ZinsBerechnen(double startkapital,
                                         double zins,
                                         double laufzeit)
      {
         return startkapital * (1 + zins / 100 * laufzeit);
      }
   }
}
