﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Wurzel
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }


      private void btn_Ausfuehren_Click(object sender, EventArgs e)
      {
         string eingabe;
         double zahl, wurzel;

         try
         {
            eingabe = tb_Eingabe.Text;
            zahl = Convert.ToDouble(eingabe);

            if (zahl >= 0)
            {
               wurzel = Math.Sqrt(zahl);
               tb_Ausgabe.Text = wurzel.ToString();
            }
            else
            {
               MessageBox.Show("Die Wurzel ist nur für positive Zahlen definiert!",
                                 "Hinweis");
            }
         }
         catch (FormatException ex)
         {
            MessageBox.Show("Falsches Eingabeformat!",
                             "Fehler");
         }
      }

      private void tb_Eingabe_Enter(object sender, EventArgs e)
      {
         tb_Ausgabe.Text = "";

      }
   }
}
