﻿using System;

namespace Demo_Schnittstellen
{
   class Land : IComparable
   {
      public string name;
      public int flaeche;      // in Quadratkilometern
      public int einwohner;    // in Millionen

      public Land(string name, int flaeche, int einwohner)
      {
         this.name = name;
         this.flaeche = flaeche;
         this.einwohner = einwohner;
      }

      public int CompareTo(object obj)
      {
         // Argument in Land-Typ umwandeln, damit wir auf
         // die Instanzvariable flaeche zugreifen können
         Land land = (Land)obj;

         // Vergleichen
         if (this.flaeche > land.flaeche)
            return 1;
         else if (this.flaeche < land.flaeche)
            return -1;
         else
            return 0;
      }

      public override string ToString()
      {
         return name
                + " \t (Fläche: " + flaeche + " km^2,"
                + " Einwohner: " + einwohner + " mio)";
      }
   }
}
