﻿using System;
using System.Windows.Forms;

using System.IO;

namespace Demo_Dateien
{
   public partial class Form1 : Form
   {
      String dateiname;

      public Form1()
      {
         InitializeComponent();

         // Die Datei, auf die zugegriffen wird
         dateiname = "Demo_Text.txt";
      }

      private void btn_Loeschen_Click(object sender, EventArgs e)
      {
         tb_Inhalt.Text = "";
      }

      private void btn_Speichern_Click(object sender, EventArgs e)
      {
         // Öffnen der Datei
         StreamWriter datei = new StreamWriter(dateiname);

         // Inhalt einer TextBox in die Datei schreiben
         datei.Write(tb_Inhalt.Text);

         // Datei schließen
         datei.Close();
      }

      private void btn_Laden_Click(object sender, EventArgs e)
      {
         // Vorab prüfen, ob die Datei existiert. Falls nicht wird die
         // die Datei erzeugt und der zurückgelieferte Stream gleich
         // wieder geschlossen.
         if (!File.Exists(dateiname))
         {
            FileStream f = File.Create(dateiname);
            f.Close();
         }

         // Datei öffnen
         StreamReader datei = new StreamReader(dateiname);

         // Inhalt in String einlesen
         string s = datei.ReadToEnd();

         // Datei schließen
         datei.Close();

         // Inhalt ausgeben
         tb_Inhalt.Text = s;
      }
   }
}
