﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Demo_Dictionary
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private void btn_Ausfuehren_Click(object sender, EventArgs e)
      {
         Dictionary<string, string> telefonnr =
                                new Dictionary<string, string>();

         // Elemente in Container ablegen
         telefonnr.Add("Polizei", "110");
         telefonnr.Add("Notruf", "110");
         telefonnr.Add("Feuerwehr", "112");
         telefonnr.Add("Auskunft", "11833");


         lb_Ausgabe.Text = "Elemente in Auflistung: \n";
         foreach (KeyValuePair<string, string> elem in telefonnr)
         {
            lb_Ausgabe.Text += String.Format(" {0}: {1} \n",
                                            elem.Key,
                                            elem.Value);
         }
         lb_Ausgabe.Text += "\n";

         // Element in Container suchen 
         lb_Ausgabe.Text += "Suche nach Nummer der Auskunft: \n";

         string nr = telefonnr["Auskunft"];
         if (nr == null)
            lb_Ausgabe.Text += " Nummer nicht gefunden \n";
         else
            lb_Ausgabe.Text += " " + nr + "\n";
      }
   }
}
