﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Demo_Stack
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private void btn_Ausfuehren_Click(object sender, EventArgs e)
      {
         Stack<EineKlasse> container = new Stack<EineKlasse>();

         // Elemente in Container ablegen
         container.Push(new EineKlasse(10));
         container.Push(new EineKlasse(20));
         container.Push(new EineKlasse(30));
         container.Push(new EineKlasse(40));
         container.Push(new EineKlasse(50));

         // Elemente in Container ausgeben    
         lb_Ausgabe.Text = "Elemente in Auflistung: \n";
         foreach (EineKlasse elem in container)
         {
            lb_Ausgabe.Text += String.Format(" {0} \n", elem);
         }
         lb_Ausgabe.Text += "\n";


         // 1. Element auslesen
         EineKlasse obj = container.Pop();
         lb_Ausgabe.Text += String.Format(" ausgelesen: {0} \n", obj);

         // Vorschau auf neues 1. Element 
         obj = container.Peek();
         lb_Ausgabe.Text += String.Format(" aktuell oberstes Element: {0} \n",
                                          obj);
         lb_Ausgabe.Text += "\n";

         // Elemente in Container ausgeben    
         lb_Ausgabe.Text += "Elemente in Auflistung: \n";
         foreach (EineKlasse elem in container)
         {
            lb_Ausgabe.Text += String.Format(" {0} \n", elem);
         }
         lb_Ausgabe.Text += "\n";
      }
   }
}
