﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace MeinBildschirmschoner
{
    static class Program
    {
        static void Main(string[] args)
        {
            if (args.Length > 0)
            {
                // Befehlszeilenargument in Kleinbuchstaben umwandeln,
                // Whitespace an den Enden entfernen und die ersten
                // zwei Zeichen in switch vergleichen
                string arg = args[0].ToLower().Trim().Substring(0, 2);
                switch (arg)
                {
                    case "/c": // Kein Dialogfeld zur Konfiguration
                               break;

                    case "/p": // Keine Vorschau 
                               break;

                    case "/s": // Bildschirmschoner anzeigen
                               BildschirmschonerStarten();
                               break;

                    default:   MessageBox.Show("Ungültiges Argument");
                               break;
                }
            }
            else
            {
                // Wenn keine Argumente übergeben wurden, 
                // Bildschirmschoner anzeigen
                BildschirmschonerStarten();
            }

        }

        static void BildschirmschonerStarten()
        {
            Form1 bildschirmschoner = new Form1();
            Application.Run(bildschirmschoner);
        }
    }
}