using System;
using System.Collections.Generic;
using System.Text;

namespace U_Mitarbeiterverwaltung
{
   class Mitarbeiter
   {
      string name;
      string vorname;

      protected int gehalt;       // Monatsgehalt

      public Mitarbeiter(string name, string vorname,
                           int gehalt)
      {
         this.name = name;
         this.vorname = vorname;
         this.gehalt = gehalt;
      }

      public override string ToString()
      {
         string daten;
         daten = "Name : " + name;
         daten += ", Vorname : " + vorname;
         daten += ", Gehalt : " + gehalt + " Euro";

         return daten;
      }

      public virtual void GehaltErhoehen(int erhoehung)
      {
         this.gehalt += erhoehung;
      }
   }
}
